org.hibernate.validator.internal.xml

## Class ValidationBootstrapParameters

- java.lang.Object
- - org.hibernate.validator.internal.xml.ValidationBootstrapParameters

-     public class ValidationBootstrapParameters
      extends Object

  Author:
    Hardy Ferentschik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationBootstrapParameters()`
    `ValidationBootstrapParameters(BootstrapConfiguration bootstrapConfiguration)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAllMappings(Set<InputStream> mappings)`
    `void` | `addConfigProperty(String key, String value)`
    `void` | `addMapping(InputStream in)`
    `void` | `addValidatedValueHandler(ValidatedValueUnwrapper<?> handler)`
    `Map<String,String>` | `getConfigProperties()`
    `ConstraintValidatorFactory` | `getConstraintValidatorFactory()`
    `Set<InputStream>` | `getMappings()`
    `MessageInterpolator` | `getMessageInterpolator()`
    `ParameterNameProvider` | `getParameterNameProvider()`
    `ValidationProvider<?>` | `getProvider()`
    `Class<? extends ValidationProvider<?>>` | `getProviderClass()`
    `TraversableResolver` | `getTraversableResolver()`
    `List<ValidatedValueUnwrapper<?>>` | `getValidatedValueHandlers()`
    `void` | `setConstraintValidatorFactory(ConstraintValidatorFactory constraintValidatorFactory)`
    `void` | `setMessageInterpolator(MessageInterpolator messageInterpolator)`
    `void` | `setParameterNameProvider(ParameterNameProvider parameterNameProvider)`
    `void` | `setProvider(ValidationProvider<?> provider)`
    `void` | `setProviderClass(Class<? extends ValidationProvider<?>> providerClass)`
    `void` | `setTraversableResolver(TraversableResolver traversableResolver)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationBootstrapParameters

          public ValidationBootstrapParameters()

    - #### ValidationBootstrapParameters

          public ValidationBootstrapParameters(BootstrapConfiguration bootstrapConfiguration)

  - ### Method Detail

    - #### getConstraintValidatorFactory

          public final ConstraintValidatorFactory getConstraintValidatorFactory()

    - #### setConstraintValidatorFactory

          public final void setConstraintValidatorFactory(ConstraintValidatorFactory constraintValidatorFactory)

    - #### getMessageInterpolator

          public final MessageInterpolator getMessageInterpolator()

    - #### setMessageInterpolator

          public final void setMessageInterpolator(MessageInterpolator messageInterpolator)

    - #### getProvider

          public final ValidationProvider<?> getProvider()

    - #### setProvider

          public final void setProvider(ValidationProvider<?> provider)

    - #### getProviderClass

          public final Class<? extends ValidationProvider<?>> getProviderClass()

    - #### setProviderClass

          public final void setProviderClass(Class<? extends ValidationProvider<?>> providerClass)

    - #### getTraversableResolver

          public final TraversableResolver getTraversableResolver()

    - #### setTraversableResolver

          public final void setTraversableResolver(TraversableResolver traversableResolver)

    - #### addConfigProperty

          public final void addConfigProperty(String key,
                               String value)

    - #### addMapping

          public final void addMapping(InputStream in)

    - #### addAllMappings

          public final void addAllMappings(Set<InputStream> mappings)

    - #### getMappings

          public final Set<InputStream> getMappings()

    - #### getConfigProperties

          public final Map<String,String> getConfigProperties()

    - #### getParameterNameProvider

          public ParameterNameProvider getParameterNameProvider()

    - #### setParameterNameProvider

          public void setParameterNameProvider(ParameterNameProvider parameterNameProvider)

    - #### addValidatedValueHandler

          public void addValidatedValueHandler(ValidatedValueUnwrapper<?> handler)

    - #### getValidatedValueHandlers

          public List<ValidatedValueUnwrapper<?>> getValidatedValueHandlers()

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved